
Figure - Bug #116569
【AF】【EVT1】【Settings】【偶现1次】OTA升级后，进入设置界面，点击存储“系统界面没有响应”
2023-02-27 15:42 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-02-27

Priority: Normal Due date: 2023-03-10

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VC1_FSE_0090_20230411

Need_Info: TEST Found Version: 0054-0077

Resolution: DUPLICATE Degrated: No

Severity: Major Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-03-08

Test Type: ST Root cause: 与116608问题一致，已修复

Description

【前提条件】

None

【测试步骤】

1. 设备烧写0054版本，然后开机

2. 输入*#149#，通过OTA升级到0077

3. 升级后重启进入设置界面，随意点击设置功能

【预期结果】

3 能够正常升级，且基本功能正常

【实际结果】

3 点击设置-存储时，出现“系统界面没有响应”

History

#1 - 2023-02-27 15:42 - 移动测试一组_CDTS 刘强

- Category changed from CD-APP to CD-FW

#2 - 2023-02-28 10:20 - CD FW 曹覃刚

- Due date set to 2023-03-10

- Status changed from New to ASSIGNED

#3 - 2023-02-28 14:34 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_0082_20230314

#4 - 2023-03-07 13:39 - CD TPM-王祥林

- Target version changed from VX1_MCE_FSE_0082_20230314 to VC1_FSE_0082_20230314

#5 - 2023-03-10 17:32 - CD FW 曹覃刚

■ 我的分析

异常日志如下

02-23 10:38:24.438  1533  5886 E ActivityManager: ANR in com.android.systemui

02-23 10:38:24.438  1533  5886 E ActivityManager: PID: 2349

02-23 10:38:24.438  1533  5886 E ActivityManager: Reason: Input dispatching timed out (c2508f6 StatusBar (server) is not responding. Waited 5000ms for MotionEvent)

02-23 10:38:24.438  1533  5886 E ActivityManager: Frozen: false
02-23 10:38:24.438  1533  5886 E ActivityManager: Load: 1.2 / 1.05 / 0.55

02-23 10:38:24.438  1533  5886 E ActivityManager: ----- Output from /proc/pressure/memory -----

02-23 10:38:24.438  1533  5886 E ActivityManager: some avg10=0.00 avg60=0.00 avg300=0.00 total=0

02-23 10:38:24.438  1533  5886 E ActivityManager: full avg10=0.00 avg60=0.00 avg300=0.00 total=0

02-23 10:38:24.438  1533  5886 E ActivityManager: ----- End output from /proc/pressure/memory -----

02-23 10:38:24.438  1533  5886 E ActivityManager: 

02-23 10:38:24.438  1533  5886 E ActivityManager: CPU usage from 58260ms to 0ms ago (2023-02-23 10:37:23.093 to 2023-02-23 10:38:21.353):

02-23 10:38:24.438  1533  5886 E ActivityManager:   13% 350/irq/382-atmel_m: 0% user + 13% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   7% 867/vendor.qti.hardware.display.composer-service: 4.4% user + 2.6% kernel / faults: 75 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   4.2% 970/surfaceflinger: 2.7% user + 1.5% kernel / faults: 184 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   3% 1533/system_server: 1.9% user + 1% kernel / faults: 7562 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   1.4% 279/kworker/u16:5-kverityd: 0% user + 1.4% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   1.1% 2349/com.android.systemui: 0.8% user + 0.3% kernel / faults: 2115 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0.8% 459/kworker/u16:13-kverityd: 0% user + 0.8% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0.8% 2826/com.android.launcher3: 0.6% user + 0.2% kernel / faults: 3337 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0.6% 272/kworker/u16:2-ufs_pm_qos_0: 0% user + 0.6% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0.5% 749/crtc_commit:125: 0% user + 0.5% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0.4% 9/ksoftirqd/0: 0% user + 0.4% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0.4% 460/kworker/u16:14-ufs_pm_qos_0: 0% user + 0.4% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0.3% 288/kgsl_worker_thr: 0% user + 0.3% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0.2% 510/logd: 0% user + 0.2% kernel / faults: 65 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0.2% 1/init: 0% user + 0.2% kernel / faults: 218 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0.2% 872/vendor.qti.hardware.perf@2.2-service: 0% user + 0.1% kernel / faults: 135 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0.1% 1000/kworker/u16:18-kverityd: 0% user + 0.1% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0.1% 2353/com.android.permissioncontroller: 0.1% user + 0% kernel / faults: 277 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0.1% 1176/tlog: 0% user + 0.1% kernel / faults: 2 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0.1% 653/vendor.ts.uart@1.0-service: 0% user + 0.1% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0.1% 1435/msm_irqbalance: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0.1% 10/rcu_preempt: 0% user + 0.1% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0.1% 32/rcuop/2: 0% user + 0.1% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0.1% 730/kworker/0:2-kdmflush: 0% user + 0.1% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 430/kworker/2:5-events: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 512/servicemanager: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 3314/com.hht.lebocast: 0% user + 0% kernel / faults: 121 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 3440/com.android.documentsui: 0% user + 0% kernel / faults: 346 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 4558/com.thundercomm.screensaver: 0% user + 0% kernel / faults: 265 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 13/rcuop/0: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 594/kworker/u17:3-pil_workqueue: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 673/netd: 0% user + 0% kernel / faults: 5 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 1199/installd: 0% user + 0% kernel / faults: 14 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 2728/com.thundercomm.remotecontrolservice: 0% user + 0% kernel / faults: 30 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 3166/irq/16-90b6400.: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 672/statsd: 0% user + 0% kernel / faults: 48 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 690/kworker/u17:6-pil_workqueue: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 754/crtc_event:125: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 1170/traced_probes: 0% user + 0% kernel / faults: 2 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 1188/cnss_diag: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 2840/com.thundercomm.gamemode.provider: 0% user + 0% kernel / faults: 176 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 3761/android.process.acore: 0% user + 0% kernel / faults: 62 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 40/rcuop/3: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 481/ueventd: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 513/hwservicemanager: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 622/f2fs_discard-25: 0% user + 0% kernel
02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 946/qrtr-ns: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 2976/com.qualcomm.qti.qccauthmgr: 0% user + 0% kernel / faults: 168 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 3169/irq/17-9091000.: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 11/rcu_sched: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 24/rcuop/1: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 48/rcuop/4: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 56/rcuop/5: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 64/rcuop/6: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 82/kworker/7:1-mm_percpu_wq: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 85/kworker/3:1-mm_percpu_wq: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 89/qmp_aop: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 111/system: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 479/init: 0% user + 0% kernel / faults: 6 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 511/lmkd: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 574/android.system.suspend@1.0-service: 0% user + 0% kernel / faults: 53 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 674/zygote64: 0% user + 0% kernel / faults: 88 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 678/kworker/5:2-cgroup_destroy: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 693/kworker/u17:9-pil_workqueue: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 802/ssgtzd: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 860/android.hardware.wifi@1.0-service: 0% user + 0% kernel / faults: 123 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 866/vendor.qti.hardware.display.allocator-service: 0% user + 0% kernel / faults: 72 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 1168/iorapd: 0% user + 0% kernel / faults: 87 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 1171/traced: 0% user + 0% kernel / faults: 12 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 1204/selfinstaller: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 1211/wificond: 0% user + 0% kernel / faults: 4 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 1243/wlan_logging_th: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 1257/cnss-daemon: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 1320/tzlog: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 1379/slim_daemon: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 2332/com.android.bluetooth: 0% user + 0% kernel / faults: 169 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 2546/com.thundercomm.gamemode: 0% user + 0% kernel / faults: 44 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 2585/.dataservices: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 3135/com.qualcomm.location: 0% user + 0% kernel / faults: 2 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 3157/mdnsd: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 3538/com.android.providers.media.module: 0% user + 0% kernel / faults: 100 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:   0% 5264/com.android.inputmethod.latin: 0% user + 0% kernel / faults: 3 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:  +0% 5673/kworker/0:0-events_freezable_power_: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:  +0% 5683/kworker/2:0-mm_percpu_wq: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:  +0% 5689/com.android.settings: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:  +0% 5787/com.android.shell: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:  +0% 5803/kworker/1:0-mm_percpu_wq: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:  +0% 5842/adbd: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager: 8.1% TOTAL: 2.4% user + 3.6% kernel + 0% iowait + 1.9% irq + 0% softirq

02-23 10:38:24.438  1533  5886 E ActivityManager: CPU usage from 31ms to 327ms later (2023-02-23 10:38:21.384 to 2023-02-23 10:38:21.680):

02-23 10:38:24.438  1533  5886 E ActivityManager:   28% 1533/system_server: 20% user + 8% kernel / faults: 339 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:     20% 5886/AnrConsumer: 8% user + 12% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:     4% 1831/InputDispatcher: 4% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   32% 5689/com.android.settings: 27% user + 4.6% kernel / faults: 17 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:     18% 5720/RenderThread: 18% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:     13% 5689/ndroid.settings: 9.3% user + 4.6% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:     4.6% 5704/Jit thread pool: 4.6% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:     4.6% 5709/Binder:5689_1: 4.6% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   22% 867/vendor.qti.hardware.display.composer-service: 15% user + 7.6% kernel
02-23 10:38:24.438  1533  5886 E ActivityManager:     22% 1080/HwBinder:867_2: 15% user + 7.6% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   10% 350/irq/382-atmel_m: 0% user + 10% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   11% 970/surfaceflinger: 11% user + 0% kernel / faults: 1 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:     7.6% 970/surfaceflinger: 7.6% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:     3.8% 1102/RegSampIdle: 0% user + 3.8% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   3.4% 279/kworker/u16:5-kgsl-mementry: 0% user + 3.4% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   3.6% 459/kworker/u16:13-memlat_wq: 0% user + 3.6% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:   3.7% 872/vendor.qti.hardware.perf@2.2-service: 0% user + 3.7% kernel / faults: 6 minor

02-23 10:38:24.438  1533  5886 E ActivityManager:     3.7% 872/perf@2.2-servic: 0% user + 3.7% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:    +0% 5889/POSIX timer 199: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager:    +0% 5890/POSIX timer 200: 0% user + 0% kernel

02-23 10:38:24.438  1533  5886 E ActivityManager: 19% TOTAL: 9.7% user + 6.8% kernel + 2.1% irq + 0.4% softirq

02-23 10:38:24.440  1533  5886 D ActivityManager: Completed ANR of com.android.systemui in 3087ms, latency 0ms

02-23 10:38:24.440  1533  5886 I ActivityManager: Skipping duplicate ANR: com.android.server.am.ProcessErrorStateRecord@6909880 Input dispatching timed out

(edge-swipe (server) is not responding. Waited 5024ms for MotionEvent)

02-23 10:38:24.440  1533  5886 D ActivityManager: Completed ANR of com.android.systemui in 0ms, latency 3070ms

02-23 10:38:24.440  1533  5886 I ActivityManager: Skipping duplicate ANR: com.android.server.am.ProcessErrorStateRecord@6909880 Input dispatching timed out

(36a28ca NavigationBar0 (server) is not responding. Waited 5001ms for MotionEvent)

02-23 10:38:24.440  1533  5886 D ActivityManager: Completed ANR of com.android.systemui in 0ms, latency 2146ms

问题发生时，系统负载低，无明显阻塞

■ 下一步解析计划

该异常在其他项目中也发生过，本身NavifationBar不存在优化的空间.

基本都是由于其他因素被block导致，但在日志中并没有找到明显的问题

需要测试同学帮忙做一下OTA的压测，获取更多的日志样本

感谢

#6 - 2023-03-10 18:44 - CD FW 曹覃刚

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to 移动测试一组_CDTS 刘强

- Need_Info changed from -- to TEST

Hi 强哥

该异常在其他项目中也发生过，本身NavifationBar不存在优化的空间.

基本都是由于其他因素被block导致，但在日志中并没有找到明显的问题

需要测试同学帮忙做一下OTA的压测，获取更多的日志样本

谢谢

#7 - 2023-03-23 14:23 - CDTS_TEST 王成

- Target version changed from VC1_FSE_0082_20230314 to VC1_FSE_0090_20230411

#8 - 2023-04-08 17:05 - CDTS-TEST 周婷

- Severity changed from Normal to Major

#9 - 2023-04-10 11:14 - CD TPM-王祥林

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from 移动测试一组_CDTS 刘强 to CD FW 曹覃刚

如沟通，如果不是因为测试的抓日志的手法有问题导致的缺日志，就不需要再让测试去复现了。
1.如果是tlog没有抓到想要的日志，转给我，我找system解决。

2.如果有日志，但分析不出来。那就需要持续分析，加日志或者找其他组协助都可以。

#10 - 2023-04-10 21:14 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Fixed Version set to 2023-03-08

- Root cause set to 与116608问题一致，已修复

■ 我的分析

---------------

"main" prio=5 tid=1 Blocked

- waiting to lock <0x016eb478> (a java.lang.Object) held by thread 73

  - locked <0x05ed1526> (a java.lang.Object

"Binder:1533_4" prio=5 tid=73 Blocked

  - waiting to lock <0x078701db> (a java.lang.Object) held by thread 72

  - locked <0x016eb478> (a java.lang.Object)

"Binder:1533_3" prio=5 tid=72 Blocked

  - waiting to lock <0x0e1aa2d5> (a java.lang.Object) held by thread 99

  - locked <0x04b26aea> (a java.lang.Object)

  - locked <0x078701db> (a java.lang.Object)

"Thread-12" prio=5 tid=99 Blocked

  - waiting to lock <0x016eb478> (a java.lang.Object) held by thread 73

  - locked <0x0e1aa2d5> (a java.lang.Object)

"Thread-12" prio=5 tid=99 Blocked  | group="main" sCount=1 ucsCount=0 flags=1 obj=0x13e860d8 self=0xb40000786ed26ef0  | sysTid=2298 nice=0 cgrp=default

sched=0/0 handle=0x76066c9cb0  | state=S schedstat=( 3519847 1470311 35 ) utm=0 stm=0 core=0 HZ=100  | stack=0x76065c6000-0x76065c8000 stackSize=1039KB  |

held mutexes=

  at com.android.server.audio.MediaFocusControl.updateCurrentAudioFocus(MediaFocusControl.java:1289)

  - waiting to lock <0x016eb478> (a java.lang.Object) held by thread 73

  at com.android.server.audio.AudioService$IDCMciroFeedback.onAudioFocusIDCMicroChanged(AudioService.java:10831)

  at com.android.server.audio.PlaybackActivityMonitor$AudioIDCMicroRequestCallback.onAudioFocusRemoteChanged(PlaybackActivityMonitor.java:1155)

  at com.android.server.audio.AudioIDCMicroNegotiator$IDCMicroAudioFocusHandler.run(AudioIDCMicroNegotiator.java:448)

  - locked <0x0e1aa2d5> (a java.lang.Object)

"main" prio=5 tid=1 Blocked  | group="main" sCount=1 ucsCount=0 flags=1 obj=0x7296cc18 self=0xb40000786ec43380  | sysTid=1533 nice=-2 cgrp=default sched=0/0

handle=0x7a2f6134f8  | state=S schedstat=( 2834849895 915996189 10784 ) utm=189 stm=94 core=3 HZ=100  | stack=0x7ff357c000-0x7ff357e000 stackSize=8188KB  | held

mutexes=

  at com.android.server.audio.MediaFocusControl.getCurrentAudioFocus(MediaFocusControl.java:802)

  - waiting to lock <0x016eb478> (a java.lang.Object) held by thread 73

  at com.android.server.audio.AudioService.getCurrentAudioFocus(AudioService.java:8417)

  at android.media.AudioManager.isAudioFocusExclusive(AudioManager.java:3204)

  at com.android.server.notification.NotificationManagerService.playSound(NotificationManagerService.java:7676)

  at com.android.server.notification.NotificationManagerService.buzzBeepBlinkLocked(NotificationManagerService.java:7463)

  at com.android.server.notification.NotificationManagerService$PostNotificationRunnable.run(NotificationManagerService.java:7097)
  - locked <0x05ed1526> (a java.lang.Object)

  at android.os.Handler.handleCallback(Handler.java:938)

  at android.os.Handler.dispatchMessage(Handler.java:99)

  at android.os.Looper.loopOnce(Looper.java:201)

  at android.os.Looper.loop(Looper.java:288)

  at com.android.server.SystemServer.run(SystemServer.java:909)

  at com.android.server.SystemServer.main(SystemServer.java:616)

  at java.lang.reflect.Method.invoke(Native method)

  at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

  at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:987)

---------------

从日志中过滤到上述错误

问题现象是播放通知音时，发生了死锁，导致系统界面未响应

■ 下一步解析计划

这个问题之前已经处理过了

与下面票中的原因一致，且已修复，请测试同学验证后关闭

https://share.thundersoft.com/redmine/issues/116608

#11 - 2023-04-12 15:29 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

0086-升级0090，压测 32次未复现，暂时关闭

#12 - 2023-04-12 15:29 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
